#include "minecraft.h"
#include<bits/stdc++.h>
using namespace std;

int n, k;
vector<int> ans;

void ff(int l, int r, int cnt)
{
    if(cnt == 0) return;
    if(l == r)
    {
        ans.push_back(l);
        return;
    }
    if(l > r) return;
    int mid = (l+r)/(cnt+1);
    int curr = find_portals(l, mid);
    ff(l, mid, curr);
    ff(mid+1, r, cnt-curr);
    return;
}

vector<int> portals(int N, int K)
{
    n = N;
    k = K;
    ans.clear();
    ff(1, n, k);
    return ans;
}
